import { FieldDescriptorProto, FileDescriptorProto } from './compiler/descriptor.js';
import { TypeReferenceNode } from 'typescript';
export declare function wrapRepeatedType(type: any, field: FieldDescriptorProto): any;
export declare function getMapType(file: FileDescriptorProto, field: FieldDescriptorProto): TypeReferenceNode;
export declare function getType(file: FileDescriptorProto, field: FieldDescriptorProto): TypeReferenceNode;
export declare function toBinaryMethodName(field: FieldDescriptorProto, file: FileDescriptorProto, isWriter?: boolean): string;
export declare function hasJsTypeString(field: FieldDescriptorProto): boolean;
export declare function isMap(field: FieldDescriptorProto): boolean;
export declare function isOneOf(field: FieldDescriptorProto): boolean;
export declare function isRepeated(field: FieldDescriptorProto): boolean;
export declare function isMessage(field: FieldDescriptorProto): boolean;
export declare function isNumber(field: FieldDescriptorProto): boolean;
export declare function isEnum(field: FieldDescriptorProto): boolean;
export declare function isOptional(file: FileDescriptorProto, field: FieldDescriptorProto): boolean;
export declare function isString(field: FieldDescriptorProto): boolean;
export declare function isBoolean(field: FieldDescriptorProto): boolean;
export declare function isTypePackable(type: FieldDescriptorProto.Type): boolean;
export declare function isPackable(field: FieldDescriptorProto): boolean;
export declare function isPacked(file: FileDescriptorProto, field: FieldDescriptorProto): boolean;
